Subject: RE: runtest.exp, Dejagnu Setup
From: [email-masked] (Mulcahy Brendan NTC/Boston)

30 Jun 1998 06:24:52 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="US-ASCII"
Content-Transfer-Encoding: 8bit
To: [email-masked] ('Gnu-Win32')

I solved my problem w/ runtest and I have DejaGnu running locally.  I've been searching the archives and haven't quite found the help I'm looking for, so maybe someone can help

I have cdk.exe installed on my NT machine and it can run tests locally.  What I am trying to do is run tests on another NT machine(hooked up to our testing equipment) from the machine I have the software installed on.

I've made the following additions to my runtest.exp
set env(DEJAGNU) global.exp    # global config file
set build_triplet, host_triplet, and target_triplet  to i686-pc-cygwin32

This is where my progress has stopped.  I have no tool init file, and my global config file is empty.

If someone is using a similar setup to me, I'd appreciate it if you could clue me in a little on how you got your setup working remotely as opposed to locally.

Thanks in advance, sorry to bother

 ---Brendan

PS   Below is what I get when I do a runtest --tool SMB --srcdir testsuite
        where /testsuite/SMB/  is the directory I have my 3 testcases.

 ----------

Test Run By Administrator on Mon Jun 29 15:30:00 1998
Native configuration is i686-pc-cygwin32

          === SMB tests ===

Running target unix
Using testsuite/../config/base-config.exp as tool-and-target-specific interface file.
Using /Cygnus/B19/H-i386-cygwin32/bin/../../share/dejagnu/baseboards/unix.exp as board description file for target.
Using /Cygnus/B19/H-i386-cygwin32/bin/../../share/dejagnu/config/unix.exp as generic interface file for target.
Using testsuite/../config/unix.exp as tool-and-target-specific interface file.
Running testsuite/SMB/a.exp ...
Testing 1,2,3....

Running testsuite/SMB/b.exp ...
Testing 4,5,6....

Running testsuite/SMB/c.exp ...
Testing 7,8,9....

          === SMB Summary ===

 ----------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".